Skip to main content
Announcements
Qlik Introduces a New Era of Visualization! READ ALL ABOUT IT
AdamSawyer
Digital Support
Digital Support

Qlik Data Gateways Upgrade is Required by September 15

Due to planned certificate maintenance in Qlik Cloud, customers must upgrade their Data Gateway installations by September 15.

If you are on version 1.3.2 or earlier, you must upgrade to the latest major version to continue using the Direct Access gateway by September 15.

Setting up Qlik Data Gateway - Direct Access | Qlik Cloud Help

To continue using the Data Movement gateway, customers must upgrade to the latest version 2022.11.74. Please see the documentation below for more details on upgrading:

 

Please contact Qlik Support if you have any issues with the upgrade: How to Contact Qlik Support

7 Comments
janyf
Partner - Contributor III
Partner - Contributor III

Hello , 

You change requirements for QDG DA, and newer versions are no longer working when on same server is also QDT and Qlik Sense Enterprise. This means that after upgrade from 1.0.0 version , QDG DA will stop working (it is running on same port as Qlik sense Scheduler - 5050). 

So this mandatory upgrade means that all customers which are still running on old versions on same server as QSE or QDT will need a new machine in their environment. 

Could you at least explain why you change this software this way ? And made impossible to ran it on same server as QSE or QDT ? 

Is there any plans how to rectify this situation - allow change of used port for QDG DA maybe ? 

best regards 

Jan Farkas

3,875 Views
Albert_Candelario

Hello @janyf,

Thanks for posting.

Qlik Data Gateway Direct Access as well as the other products you have mentioned could be highly demanding for the server resources, hence having them on the same server is not recommended.

Furthermore, as they use the ODBC connectors such might be registered on the server and you might end up having several different packages registered, which could lead to issues.

Therefore, is highly recommended to use clean servers when installing Direct Access.

I hope this help.

Cheers,

Albert

3,222 Views
janyf
Partner - Contributor III
Partner - Contributor III

Hello Albert, 

It is not recommended. It is mandatory. 

It was recommended from beginning, but now it is mandatory. Which is disruptive change. 

Here is excerpt from your documentation: 

  • The data gateway software should be installed on a dedicated Window Server as stipulated in the System Requirements below. Do not install it on the actual data source server or on a server that already has Qlik Sense Enterprise on Windows or Qlik DataTransfer installed.
3,119 Views
Albert_Candelario

Thanks for pointing it out, indeed it is mentioned at final section of this site:

https://help.qlik.com/en-US/cloud-services/Subsystems/Hub/Content/Sense_Hub/Gateways/direct-access-g...

Cheers,

Albert

3,011 Views
terrykavouras
Contributor III
Contributor III

Where do I download the new version?  I've been searching for the last 20 minutes and can't find any links to Qlik Data Gateway (or any permutation of those terms).  It doesn't appear to be in the normal product downloads, so where is it?

1,569 Views
SimonMinifie
Partner - Contributor III
Partner - Contributor III

@terrykavouras head to your tenant Management console, click Data Gateways from the menu on the left, and then the Deploy button. 
It will then offer you a couple of download options.
Thanks,

Simon

1,542 Views
terrykavouras
Contributor III
Contributor III

@SimonMinifie, thanks!  If any of the dozen pages I've reviewed said this, I guess I missed it.  But it would have been helpful if Qlik said it more plainly.  I don't think I'm the only one struggling to find it.

1,500 Views